com.h3c.util.pkt

## Class IpV6

- java.lang.Object
- - com.h3c.util.pkt.IpV6

- All Implemented Interfaces:
    Protocol

      public class IpV6
      extends Object
      implements Protocol

  IPv6 data store (immutable) and associated `IpV6.Builder` (mutable).

  Includes support for the following OpenFlow match fields:

  - IPv6 source address
  - IPv6 destination address
  - IPv6 flow label

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IpV6.Builder` Builder (mutable) used to create new protocol instances.
    `static class` | `IpV6.Option` IPv6 option data store (immutable).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IpAddress` | `dstAddr()` Returns the destination address.
    `int` | `flowLabel()` Returns the flow Label.
    `int` | `hopLimit()` Returns the hop limit.
    `ProtocolId` | `id()` Returns the protocol ID.
    `IpType` | `nextHdr()` Returns the next header protocol type.
    `IpType` | `nextProtocol()` Returns the decoded type of the next protocol layer (ICMPv6 for example).
    `int` | `nextProtocolLen()` Returns the decoded length of the next protocol layer (ICMPv6 for example).
    `IpV6.Option[]` | `options()` Returns a copy of the option array.
    `int` | `payloadLen()` Returns the decoded payload length (in octets) of the datagram including any extension headers.
    `IpAddress` | `srcAddr()` Returns the source address.
    `String` | `toDebugString()` Returns the protocol debug string.
    `IpTosDsfc` | `tosDsfc()` Returns the TOS Differentiated Services Field Codepoints (DSFC) type.
    `IpTosEcn` | `tosEcn()` Returns the TOS Explicit Congestion Notification (ECN) type.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### tosDsfc

          public IpTosDsfc tosDsfc()

      Returns the TOS Differentiated Services Field Codepoints (DSFC) type.
      Returns:
        the TOS DSFC type

    - #### tosEcn

          public IpTosEcn tosEcn()

      Returns the TOS Explicit Congestion Notification (ECN) type.
      Returns:
        the TOS ECN type

    - #### flowLabel

          public int flowLabel()

      Returns the flow Label.
      Returns:
        the flow label

    - #### payloadLen

          public int payloadLen()

      Returns the decoded payload length (in octets) of the datagram including any extension headers.
      Returns:
        the payload length

    - #### nextHdr

          public IpType nextHdr()

      Returns the next header protocol type.
      Returns:
        the next header protocol type

    - #### nextProtocol

          public IpType nextProtocol()

      Returns the decoded type of the next protocol layer (ICMPv6 for example). This can be the same value as the `nextHdr` if there are no options. If options exist, it will be the last `nextHdr` defined in the last option. If set to `IpType.IPV6_NO_NEXT_HDR` there are no protocol layers following.
      Returns:
        the next protocol layer type

    - #### nextProtocolLen

          public int nextProtocolLen()

      Returns the decoded length of the next protocol layer (ICMPv6 for example). This can be the same value as the `payloadLen` if there are no options.
      Returns:
        the next protocol layer length

    - #### hopLimit

          public int hopLimit()

      Returns the hop limit.
      Returns:
        the hop limit

    - #### dstAddr

          public IpAddress dstAddr()

      Returns the destination address.
      Returns:
        the destination address.

    - #### srcAddr

          public IpAddress srcAddr()

      Returns the source address.
      Returns:
        the source address

    - #### options

          public IpV6.Option[] options()

      Returns a copy of the option array.
      Returns:
        the options array

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.